Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt

Use this file to discover all available pages before exploring further.

This articles outlines error messages that might be issued when calling endpoints of the Price Localization API.

Create Price Point errors

The Create Price Point endpoint might issue the following error messages:
Error codeError MessageDescription
400Invalid request bodyThe request body failed schema validation.
400Country code ZZ not found in existing custom pricing.The country code doesn’t exist in custom pricing.
409Cannot create new pricing. The price point already exists.The price point already exists.

Get Price Point errors

The Get Price Point endpoint might issue the following error messages:
Error codeError MessageDescription
404Price point 999 not found.The requested price point wasn’t found.

Get Price Points for a Country errors

The Get Price Points for a Country endpoint might issue the following error messages:
Error codeError MessageDescription
400Too many price points used, maximum is 50More than 50 pricesInUsdCents values.
400Invalid priceInUsdCents value: must be a positive integer [invalid1, invalid2].Invalid pricesInUsdCents value.
400Invalid countryCode2: must be ISO 3166-1 alpha-2.Invalid countryCode2 value.
400countryCode2 XX is not supported.countryCode2 not supported.
401UnauthorizedThe publisher token is missing or invalid.
429Rate limit exceeded.The request exceeded the rate limit of 5,000 requests per minute.

Update Price Point errors

The Update Price Point endpoint might issue the following error messages:
Error codeError MessageDescription
400Invalid request bodyThe request body failed schema validation.
400Country code ZZ not found in existing custom pricing.The country code doesn’t exist in custom pricing.
404Price point 999 not found.The requested price point wasn’t found.
409Cannot create new pricing. The price point already exists.The price point already exists.

Delete Price Point errors

The Delete Price Point endpoint might issue the following error messages:
Error codeError MessageDescription
404Price point 999 not found.The requested price point wasn’t found.